Bug 175006 - Passwort hash {CLEARTEXT} not available, slapd refuses to start.
Passwort hash {CLEARTEXT} not available, slapd refuses to start.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
http://www.openldap.org/lists/openlda...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-05 13:25 EST by Jan Koop
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-24 09:09:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Koop 2005-12-05 13:25:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
After upgrading from openldap-2.2.23-5 to 2.2.29-1 openldap refused to start. For this particular setup, a cleartext password hash is necessary. I checked the spec file of 2.2.29, but --enable-cleartext was part of the configure line. 
This issue is known to openldap.org as bug ITS#4021 in 2.3 series. I believe a backport of a patch to the 2.2 series exists.
I was forced to downgrade to get slapd runn, upgrading our primary LDAP servers automatically would have had disastrous consequences.

Version-Release number of selected component (if applicable):
openldap-servers-2.2.29-1.FC4.x86_64.rpm

How reproducible:
Always

Steps to Reproduce:
1. configure 'password-hash {CLEARTEXT}' in /etc/openldap/slapd.conf
2. restart slapd


Actual Results:  slapdtest fails
slapd does not start

Expected Results:  slapdtest OK
slapd starts

Additional info:
Comment 1 Christian Iseli 2007-01-22 06:47:31 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Jan Safranek 2007-05-24 09:09:22 EDT
I'm sorry nobody helped you with the bug. FC4 is not supported anymore, please
try FC-6 or F7 when it gets out and reopen the bug if the problem still persists.

Note You need to log in before you can comment on or make changes to this bug.